Package org.apache.ignite.internal.cdc

## Enum CdcMode

- java.lang.Object
- - java.lang.Enum<CdcMode>
  - - org.apache.ignite.internal.cdc.CdcMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CdcMode>`

    public enum CdcMode
    extends Enum<CdcMode>

CDC modes.

### Enum Constant Summary

Enum Constants
`CDC_UTILITY_ACTIVE` CDC events are handled by `CdcMain` utility.
`IGNITE_NODE_ACTIVE` CDC events are handled by `CdcManager` within Ignite node.

### Method Summary

All Methods Static Methods Concrete Methods
`static CdcMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CdcMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IGNITE_NODE_ACTIVE

    public static final CdcMode IGNITE_NODE_ACTIVE

CDC events are handled by `CdcManager` within Ignite node.

#### CDC_UTILITY_ACTIVE

    public static final CdcMode CDC_UTILITY_ACTIVE

CDC events are handled by `CdcMain` utility.

### Method Detail

#### values

    public static CdcMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CdcMode c : CdcMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CdcMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null